Bug 5816 - MMC: Only read access (also as administrator)
MMC: Only read access (also as administrator)
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Other
unspecified
All All
: P3 normal
: ---
Assigned To: Andrew Bartlett
Andrew Bartlett
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-07 07:46 UTC by Matthias Dieter Wallnöfer
Modified: 2008-10-14 06:43 UTC (History)
0 users

See Also:


Attachments
Patch that fixes the problem (1.68 KB, patch)
2008-10-13 10:00 UTC, Matthias Dieter Wallnöfer
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Dieter Wallnöfer 2008-10-07 07:46:40 UTC
I'm not able to add new objects (Users, Groups, Computers...) as Administrator anymore.
Comment 1 Matthias Dieter Wallnöfer 2008-10-10 15:54:55 UTC
The problem seems to be more in general. I'm also unable to edit fields in existing entries through the MMC snap-ins.
In short terms: I've only read access as administrator.
Comment 2 Matthias Dieter Wallnöfer 2008-10-13 10:00:57 UTC
Created attachment 3675 [details]
Patch that fixes the problem
Comment 3 Andrew Bartlett 2008-10-13 16:08:00 UTC
Well found.  I wonder how this was got so wrong.  Clearly we need a test (in ldap.py) that will find this in future...
Comment 4 Andrew Bartlett 2008-10-13 19:03:11 UTC
This looks like a cut-and-paste bug introduced by 51baa8deec00244cc0a6e3d29c53932427800610

I've applied your patch, well done!
Comment 5 Matthias Dieter Wallnöfer 2008-10-14 06:43:03 UTC
Fixed.